Conectar un teléfono a un agente
curl --request POST \
--url https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/phones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"agent_id": "b5f7608e-2ddd-4390-a3c0-4c31b8d7b2d7",
"phone_id": "02717a1a-2314-4235-a8d8-cd54ca6c7b36",
"test_phones": [],
"allow_all": true
}
'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/phones"
payload = {
"agent_id": "b5f7608e-2ddd-4390-a3c0-4c31b8d7b2d7",
"phone_id": "02717a1a-2314-4235-a8d8-cd54ca6c7b36",
"test_phones": [],
"allow_all": True
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
agent_id: 'b5f7608e-2ddd-4390-a3c0-4c31b8d7b2d7',
phone_id: '02717a1a-2314-4235-a8d8-cd54ca6c7b36',
test_phones: [],
allow_all: true
})
};
fetch('https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/phones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allow_all": true,
"test_phones": [
"<string>"
],
"channel": "<string>",
"assigned_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Agent Phones
Conectar un teléfono a un agente
POST
/
v1
/
agents
/
{agentId}
/
phones
Conectar un teléfono a un agente
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant.
Path Parameters
Identificador del agente
Body
application/json
⌘I
